Bug 432691 - warn on attempt to install replica on wrong server
warn on attempt to install replica on wrong server
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
Reported: 2008-02-13 16:20 EST by Rob Crittenden
Modified: 2015-01-04 18:30 EST (History)
1 user (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-03-27 03:15:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
warn if the hostname doesn't match the filename (1.18 KB, patch)
2008-02-19 10:48 EST, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2008-02-13 16:20:16 EST
ipa-prepare-replica now requires a FQDN because we generate the SSL certificates
in advance for installation on the replica.

As a result we should only allow the prepared replica file to be installed on
the correct host and provide a warning if the hostnames don't match up.
Comment 1 Rob Crittenden 2008-02-19 10:48:02 EST
Created attachment 295305 [details]
warn if the hostname doesn't match the filename
Comment 2 Rob Crittenden 2008-02-20 09:56:27 EST
Committed in changeset 654
Comment 3 Yi Zhang 2008-05-28 19:08:24 EDT
QA Verified on May 28, 2008 (Yi)

Build used: May 28, 2008 (i386)

server64[02/27/08 13:16] ipa-replica-install replica-info-server64.ipa.qa.com 
This replica was created for 'server64.ipa.qa.com' but this machine is named
This may cause problems. Continue? [Y/n]: y

Note You need to log in before you can comment on or make changes to this bug.